Subject: bug#78537: GIMP startup crash on minimal xorg/wm unless gtk+ in profile

From: Runciter <[email-masked]>
Date: Fri, 20 Jun 2025 23:42:36 +0000

Hi Guix!

It wasn't LD_LIBRARY_PATH that needed wrapping finally, it was
XDG_DATA_DIRS.

I just submitted a revised patch.

When I think about this, after this patch, considering the case of
people who have both gtk+ and gimp in their profile, the variable
XDG_DATA_DIRS in the environment of a running gimp should be clobbered
or quasi-clobbered, however you want to call it. Although this should
generally not result in failures, it seems it has in the case of another
variable, bug#77921. I don't think it should be always preferred to use
'=' instead of 'prefix' for wrapping, though. If there's a cleaner way
to do this, let me know.

Regards,

-- 
Runciter